﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JustTank
{
    class BotBullet : Bullet
    {
        public new const string CollisionGroupString = "botBullet";
        
        public BotBullet(MatrixCoords topLeft, TankDirection direction)
            : base(topLeft, direction)
        {
        }

        public override string GetCollisionGroupString()
        {
            return BotBullet.CollisionGroupString;
        }

        public override bool CanCollideWith(string otherCollisionGroupString)
        {
            return otherCollisionGroupString == "playerTank" || otherCollisionGroupString == "indestrBlock" || otherCollisionGroupString == "tankBot";
        }

        public override void RespondToCollision()
        {
            this.IsDestroyed = true;
        }
    }
}
